#
# spec file for package perl-CSS-Sass
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CSS-Sass
Name:           perl-CSS-Sass
Version:        3.6.4
Release:        1.1
Summary:        Compile .scss files using libsass
License:        MIT
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OC/OCBNET/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Encode::Locale) >= 0.01
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.14
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.52
BuildRequires:  perl(File::chdir) >= 0.01
BuildRequires:  perl(Filesys::Notify::Simple) >= 0.01
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Test::Differences) >= 0.01
BuildRequires:  perl(YAML::XS) >= 0.01
BuildRequires:  perl(version)
Requires:       perl(Encode::Locale) >= 0.01
Requires:       perl(Filesys::Notify::Simple) >= 0.01
Requires:       perl(List::Util) >= 1.45
Requires:       perl(version)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
BuildRequires:  perl(ExtUtils::CppGuess)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(YAML::XS)
# MANUAL END

%description
CSS::Sass provides a perl interface to libsass, a fairly complete Sass
compiler written in C++. It is currently around ruby sass 3.3/3.4 feature
parity and heading towards full 3.4 compatibility. It can compile .scss and
.sass files.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc appveyor.yml Changes CODE_OF_CONDUCT.md perlobject.map README.md util
%license LICENSE

%changelog
* Sat May 22 2021 Tina Müller <timueller+perl@suse.de>
- updated to 3.6.4
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Tue May  5 2020 Tina Müller <timueller+perl@suse.de>
  updated to 3.6.3
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Sat May  2 2020 Tina Müller <timueller+perl@suse.de>
  updated to 3.6.2
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon May 20 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.6.0
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
  CSS::Sass (3.6.0)
    First release with next major libsass version
    This may cause your existing sass code to break
    Please check the libsass changelog for breaking changes
    https://github.com/sass/libsass/releases/tag/3.6.0
  * Bumped libsass version to latest 3.6 stable branch (3.6.0)
  * Added digest plugin to compute md5/base64/crc checksums
  * Adjusted a few test cases to match new 3.6 behaviors
  - - Marcel Greter <perl-libsass@ocbnet.ch>  Thu, 19 May 2019 17:49:32 +0100
* Fri Apr 12 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.4.13
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
  CSS::Sass (3.4.13)
  * Fix build failures when using clang
  * Fix detection of installed modules
  - - Marcel Greter <perl-libsass@ocbnet.ch>  Thu, 11 Apr 2019 22:14:04 +0100
* Thu Apr 11 2019 Stephan Kulow <coolo@suse.com>
- updated to 3.4.12
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
  CSS::Sass (3.4.12)
  * Maintenance release (no libsass upgrade)
  * Add unit tests for included plugins
  * Changed plugin locations and auto loading
  * Implement support for HRX spec tests
  * Fix issue with newer ExtUtils::CppGuess
  * Update ppport.h and adjust makefile
  * Update sassc plugin to latest version
  * Update img-size plugin to latest version
  * Add loading of alternate spec output file names
  * Fix spec test by trimming trailing white-space
  * Add appveyor for windows/strawberry perl testing
  - - Marcel Greter <perl-libsass@ocbnet.ch>  Thu, 10 Apr 2019 01:44:42 +0100
  CSS::Sass (3.4.11)
  * Bumped libsass version to latest 3.4 stable branch (3.4.9)
  * Improve spec-runner to normalize nth-child binomial spacing
  * Fix sass operation overloads for inverted operands
  - - Marcel Greter <perl-libsass@ocbnet.ch>  Mon, 05 Feb 2018 23:31:14 +0200
* Fri Jan 19 2018 coolo@suse.com
- updated to 3.4.10
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon Nov  6 2017 coolo@suse.com
- updated to 3.4.8
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Tue Oct 17 2017 coolo@suse.com
- updated to 3.4.7
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Sun Oct  8 2017 coolo@suse.com
- updated to 3.4.6
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon Apr 10 2017 coolo@suse.com
- updated to 3.4.5
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Wed Mar  8 2017 coolo@suse.com
- updated to 3.4.4
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Sat Feb 25 2017 coolo@suse.com
- updated to 3.4.3
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Thu Feb 16 2017 coolo@suse.com
- updated to 3.4.2
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon Feb 13 2017 coolo@suse.com
- updated to 3.4.1
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Sun Dec 11 2016 coolo@suse.com
- updated to 3.4.0
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Wed Jul 13 2016 coolo@suse.com
- updated to 3.3.6
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon Jul  4 2016 coolo@suse.com
- updated to 3.3.5
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Mon Jun 27 2016 coolo@suse.com
- updated to 3.3.4
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Sun Jun 12 2016 coolo@suse.com
- updated to 3.3.3
  see /usr/share/doc/packages/perl-CSS-Sass/Changes
* Wed Mar 18 2015 coolo@suse.com
- initial package 3.1.1
  * created by cpanspec 1.78.08
